--- title: "Retrieves the custom field values for a specific class enrollment" slug: "retrieves-the-custom-field-values-for-a-specific-class-enrollment" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/retrieves-the-custom-field-values-for-a-specific-class-enrollment" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieves the custom field values for a specific class enrollment Get/GetClassEnrollmentCustomFieldValues Retrieves the current values of a specific custom field for a class enrollment. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parameterscustomFieldIdstringRequired The ID of the custom field. classEnrollmentIdstringRequired The ID of the class enrollment holding the custom field. Responses200 OK Response object Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). Idinteger (int32) The custom field's unique identifier Namestring The name of the custom field DataTypeIdinteger (int32) The data type id of the custom field 0 - Textbox 10 - Dropdown List 20 - Checkbox 30 - Number 60 - User Selector 70 - Checkbox List TextValuestring | null The text value of a custom field, if any. NumericValueinteger (int32) | null The integer value of a custom field, if any. BooleanValueboolean | null The boolean value of a custom field, if any. SeparatedListValuestring | null A tab separated list of the selected values of a custom field.